# Brew From Here
A mod that lets you continue brewing from any recipe mark! Compatible with Potion Craft v1.1!

NOTE: this only works with newly saved recipes. Pre-mod recipes will not have this functionality. This is because not enough information is currently stored to recreate a recipe and new information must be gathered while brewing.

Just click on a recipe mark and then press continue brewing:
![image](https://github.com/AndrewFahlgren/PotionCraftUsefulRecipeMarks/blob/master/Images/BrewFromHere_Icon.PNG?raw=true)


Install [Recipe Waypoints](https://potion-craft.thunderstore.io/package/AndrewFahlgren/Recipe_Waypoints/) to see where you will go when you brew:
![image](https://github.com/AndrewFahlgren/PotionCraftUsefulRecipeMarks/blob/master/Images/BrewFromHere_UseRecipeWaypoints.PNG?raw=true)


## Showcase Video

See this [showcase video](https://youtu.be/ZsfVE3ipVTc) to see everything this mod does.


## Installation (game, automated)
This is the recommended way to install Bookmark Organizer.

- Download and install Thunderstore Mod Manager or r2modman.
  - Click Install with Mod Manager button on top of the page.
  - Run the game via the mod manager.

## Installation (manual)
If you are installing this manually, do the following:

If you are not sure where your Potion Craft steam directory is you can find out by opening steam, going to your library, and right clicking on Potion Craft > Properties > Local Files > Browse.

- Download and install [BepInEx 5.x 64 bit](https://github.com/BepInEx/BepInEx/releases)
  - The contents of the BepInEx zip should be extracted to your PotionCraft steam directory.
  - If properly installed, you should see a `winhttp.dll` file and `BepInEx` folder alongside your `Potion Craft.exe`
- Download and install [Brew From Here](https://github.com/AndrewFahlgren/PotionCraftUsefulRecipeMarks/releases/)
  - The contents of the BrewFromHere zip should be extracted to your PotionCraft steam directory.
  - If properly installed, you should have a `PotionCraftBrewFromHere.dll` file at `Potion Craft/BepInEx/plugins`
  
### Steam Deck Installation
See [this guide](https://docs.google.com/document/d/1Y3PDeMaffkh7x4U3j46YZ9K6AhM2EvRF9v3mAGBFzW4) for installing Potion Craft mods on the Steam Deck

## Other Mods
I am making a series of mods which make recipes easier to use. All of these mods are intended to be balanced and feel like part of the base game:

[Alchemy Machine Recipes](https://potion-craft.thunderstore.io/package/AndrewFahlgren/Alchemy_Machine_Recipes/) - Enables the save recipe button when making things with the alchemy machine. Make legendary stones and salts with the click of a button!

[Recipe Waypoints](https://potion-craft.thunderstore.io/package/AndrewFahlgren/Recipe_Waypoints/) - Allows you to see where your waypoint recipes (those with no effects or are far away from their last effect) are on the map so you know where you are going when you continue brewing from that recipe.

[Pour Back In](https://potion-craft.thunderstore.io/package/AndrewFahlgren/Pour_Back_In/) - Makes your potions work just like recipes. Pour potions back in the cauldron to continue where you left off. You can also finish potions before you add any effects so you can come back to them later just like a waypoint recipe.

[Bookmark Organizer](https://potion-craft.thunderstore.io/package/AndrewFahlgren/Bookmark_Organizer/) - Lets you organize your recipes into groups! Save space in your recipe book and find the recipe you are looking for faster!